CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Outputter Class Referenceabstract
Writing test result

Abstract outputter to print test result summary. More...

`#include <Outputter.h>`

Inheritance diagram for Outputter:

## Public Member Functions

virtual | ~Outputter ()
| Destructor. More...
virtual void | write ()=0

## Detailed Description

Abstract outputter to print test result summary.

## Constructor & Destructor Documentation

virtual Outputter::~Outputter | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

virtual void Outputter::write | ( |  | ) |

pure virtual

Implemented in CompilerOutputter, XmlOutputter, and TextOutputter.

The documentation for this class was generated from the following file:

- Outputter.h

| hosts this site. |  | Send comments to: CppUnit Developers